質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.82%

rails コマンドが使えない

受付中

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 1,232

sakaiman100

score 8

ソースコード

sakaiyuuki-no-MacBook-Pro:pictweet sakaiman$ rails g controller tweets
/Users/sakaiman/projects/pictweet/config/routes.rb:2:in block in <top (required)>': undefined method  get' for #<ActionDispatch::Routing::Mapper:0x007fbe1eb06538> (NoMethodError)
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/actionpack-4.2.5/lib/action_dispatch/routing/route_set.rb:434:in `instance_exec'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/actionpack-4.2.5/lib/action_dispatch/routing/route_set.rb:434:in `eval_block'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/actionpack-4.2.5/lib/action_dispatch/routing/route_set.rb:412:in `draw'
    from /Users/sakaiman/projects/pictweet/config/routes.rb:1:in `<top (required)>'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5/lib/active_support/dependencies.rb:268:in `load'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5/lib/active_support/dependencies.rb:268:in `block in load'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5/lib/active_support/dependencies.rb:240:in `load_dependency'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5/lib/active_support/dependencies.rb:268:in `load'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application/routes_reloader.rb:40:in `block in load_paths'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application/routes_reloader.rb:40:in `each'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application/routes_reloader.rb:40:in `load_paths'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application/routes_reloader.rb:16:in `reload!'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application/routes_reloader.rb:26:in `block in updater'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5/lib/active_support/file_update_checker.rb:75:in `call'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/activesupport-4.2.5/lib/active_support/file_update_checker.rb:75:in `execute'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application/routes_reloader.rb:27:in `updater'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application/routes_reloader.rb:7:in `execute_if_updated'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application/finisher.rb:69:in `block in <module:Finisher>'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/initializable.rb:30:in `instance_exec'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/initializable.rb:30:in `run'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/initializable.rb:55:in `block in run_initializers'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/2.1.0/tsort.rb:226:in `block in tsort_each'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/2.1.0/tsort.rb:348:in `block (2 levels) in each_strongly_connected_component'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/2.1.0/tsort.rb:427:in `each_strongly_connected_component_from'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/2.1.0/tsort.rb:347:in `block in each_strongly_connected_component'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/2.1.0/tsort.rb:345:in `each'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/2.1.0/tsort.rb:345:in `call'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/2.1.0/tsort.rb:345:in `each_strongly_connected_component'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/2.1.0/tsort.rb:224:in `tsort_each'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/2.1.0/tsort.rb:205:in `tsort_each'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/initializable.rb:54:in `run_initializers'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application.rb:352:in `initialize!'
    from /Users/sakaiman/projects/pictweet/config/environment.rb:5:in `<top (required)>'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application.rb:328:in `require'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/application.rb:328:in `require_environment!'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/commands/commands_tasks.rb:142:in `require_application_and_environment!'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/commands/commands_tasks.rb:128:in `generate_or_destroy'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/commands/commands_tasks.rb:50:in `generate'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
    from /Users/sakaiman/.rbenv/versions/2.1.3/lib/ruby/gems/2.1.0/gems/railties-4.2.5/lib/rails/commands.rb:17:in `<top (required)>'
    from bin/rails:9:in `require'
    from bin/rails:9:in `<main>'


というふうに表示されてしまいます。
どなたかお助けお願いします。
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • gouf

    2015/11/24 21:06

    エラーの通り、config/routes.rb 2行目に問題があるようですが、このファイルの内容は公開可能ですか

    キャンセル

回答 1

0

次の情報が欲しいです。
  ruby の version ,
  rails の version
  OS の version 

  rails new は正常に実行はできたのか?
  bundle install は正常に実行はできたのか?
  gem list の実行結果

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.82%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る